commit: 7949c35cc55beb75a3d9bb6d7c62430ac52d7c81
Author: Mark Wright <gienah <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 2 13:48:33 2017 +0000
Commit: Mark Wright <gienah <AT> gentoo <DOT> org>
CommitDate: Mon Jan 2 13:48:33 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7949c35c
sci-mathematics/z3: Fix install for USE="python -doc", thanks to Toralf F?rster
for reporting.
Gentoo-bug: 604362
Package-Manager: portage-2.3.3
sci-mathematics/z3/z3-4.5.0.ebuild | 8 +++-----
1 file changed, 3 insertions(+), 5 deletions(-)
diff --git a/sci-mathematics/z3/z3-4.5.0.ebuild
b/sci-mathematics/z3/z3-4.5.0.ebuild
index 58d2b6b..b8f0335 100644
--- a/sci-mathematics/z3/z3-4.5.0.ebuild
+++ b/sci-mathematics/z3/z3-4.5.0.ebuild
@@ -85,11 +85,9 @@ src_compile() {
use java && java-pkg-simple_src_compile
- if use doc; then
- pushd doc || die
- ${EPYTHON} mk_api_doc.py || die
- popd || die
- fi
+ pushd doc || die
+ ${EPYTHON} mk_api_doc.py || die
+ popd || die
}
src_install() {